.hero-banner{
  width: 100%;
  height: 79vh;
  position: relative;
}

.desktop-banner{
  width: 100%;
  object-fit: cover;
  height: 100%;
  object-position: top;
}

.mobile-banner{display: none;}

.hero-container {
  position: absolute;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  height: 100%;
  width: 100%;
  padding: 4em;
  align-items: center;
  max-width: 1700px;
  margin: 0 auto;
  justify-content: center;
}

.hero-side h1, .hero-side p{color: white;}
.intro p, .column-side p{font-size: 18px;}

.hero-side:first-child{width: 50%;}
.hero-side:last-child{width: 50%;}

.hero-side h1 {
  line-height: 1;
  font-size: 130px;
  margin-bottom: 2rem;
}

.hero-side p{
  margin: 0;
  width: 100%;
  font-size: 22px;
}

.bg-white{
  display: flex;
  color: black;
  font-size: 20px;
  align-items: center;
  padding: 10px 50px;
  width: fit-content;
  font-weight: 400;
  margin: 2em 0 0;
  transition: all .4s ease;
  border-radius: 10px;
  justify-content: center;
  background-color: white;
}

.bg-white:hover{
  color: white;
  background-color: black;
}

/* Info Section */
.about-us {
  margin: 0 auto;
  position: relative;
}

.about-us-container {
  width: 100%;
  margin: 0 auto;
  padding: 3em 4em 0;
  max-width: 1400px;
}

.about-us:before, .about-us:after{
  content: '';
  position: absolute;
  background: rgb(238, 250, 255);
  background: radial-gradient(circle, rgba(238, 250, 255, 1) 0%, rgba(238, 250, 255, 1) 50%, rgb(255 255 255) 70%, rgba(255, 255, 255, 1) 100%);
  border-radius: 100%;
  z-index: -1;
}

.about-us:before{
  width: 50%;
  height: 45vw;
  left: -12%;
  bottom: 0;
  top: 210px;
}

.about-us:after{
  width: 45%;
  height: 45vw;
  right: -20%;
  top: -360px;
}

.intro{
  gap: 2em;
  display: flex;
  flex-direction: column;
}

.intro img {
  display: block;
  width: 250px;
  height: 250px;
  margin: 0 auto;
  object-fit: cover;
  border-radius: 450px;
}

.intro h2 {
  text-align: center;
  font-size: 80px;
  line-height: 1.1;
}

.intro p {
  margin: 0;
  line-height: 1.5;
  text-align: justify;
}

.us-description{
  gap: 4em;
  display: flex;
  margin: 4em 0;
  flex-direction: column;
}

.columns {
  gap: 2em;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}

.column-side:first-child{width: 250px;}
.column-side:last-child{width: 60%;}
.column-side p{margin: 0;}

body .store-summary{padding: 2em 4em 5em !important;}

/* Responsive Mode */
@media (max-width: 1920px){
  .hero-side h1 {font-size: clamp(3em, 6.8vw, 8em);}
  .intro h2{font-size: clamp(1.5em, 5vw, 5em);}

  .hero-side p {
    max-width: 670px;
    font-size: clamp(.9em, 1.7vw, 1.3em);
  }
}

@media (max-width: 1440px){
  .about-us {max-width: 1250px;}
}

@media (max-width: 1200px){
  .hero-banner {height: auto;}
  .hero-container {padding: 2em 4em;}
  .hero-side h1 {margin-bottom: 1rem;}
  .hero-side p {max-width: 500px;}

  .intro img {
    width: 200px;
    height: 200px;
  }

  .bg-white {
    font-size: 18px;
    padding: 8px 30px;
    margin: 1em 0 0;
  }
}

@media (max-width: 1100px){
  .intro img {
    width: 180px;
    height: 180px;
  }

  .columns {justify-content: flex-start;}
  .column-side:last-child {width: 66%;}
}

@media (max-width: 1024px){
  .intro p, .column-side p {font-size: 16px;}
}

@media (max-width: 800px){
  .hero-banner {height: 410px;}
  .hero-side:first-child {width: 60%;}
  .hero-side:last-child {width: 40%;}

  .about-us {padding: 3em 3em 5em;}
  .about-us-container {padding: 0;}

  .us-description {
    gap: 1.5em;
    margin: 2em 0 0;
  }

  .column-side:first-child {width: 160px;}

  .column-side h2 {
    font-size: 18px;
    text-align: left;
  }

  .column-side:last-child {width: 70%;}
  body .store-summary {padding: 0 3em;}
}

@media (max-width: 700px){
  .hero-container {padding: 2em 2em;}
  .bg-white {font-size: 16px;}
  .about-us {padding: 3em 1.5em 5em;}

  .intro p, .column-side p {
    font-size: 14px;
    text-align: justify;
  }

  .columns {
    gap: 5px;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .column-side h2 br {display: none;}
  .column-side {width: 100% !important;}
  body .store-summary {padding: 0;}
}

@media (max-width: 600px){
  .hero-banner {height: 350px;}

  .intro img {
    width: 150px;
    height: 150px;
  }
}